#include <iostream>
#include <cmath>

using namespace std;
void printString(string c,int a1,int a2){
    if (a1>=a2){
        for (int i =0; i <a1+a2;i++ ){
            if (i%2==0)
                cout<<c[0];
            else
                cout<<c[1];
        }
    }
    if (a1<a2){
        for (int i =0; i <a1+a2;i++ ){
            if (i%2==0)
                cout<<c[1];
            else
                cout<<c[2];
        }
    }
    
        
}
int main(int argc, const char * argv[]) {
    string c;
    int a1,a2;
    cin>>c>>a1>>a2;
    if(c[0]==c[1]){
        cout<<"nemoguce";
    }
    if (abs(a1-a2)<=1){
        
    }
    else{
        cout<<"nemoguce";
    }
    
    
    return 0;
}